# CLImageFormat (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl.api
Class CLImageFormat

    java.lang.Object
      org.lwjgl.opencl.api.CLImageFormat

    public final class CLImageFormat

extends java.lang.Object

Simple container for cl_image_format struct values.

Author:
  Spasi

Field Summary
`static int` `STRUCT_SIZE` The cl_image_format struct size in bytes.

Constructor Summary
`CLImageFormat(int channelOrder, int channelType)`

Method Summary
`int` `getChannelOrder()`
`int` `getChannelType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCT_SIZE

    public static final int STRUCT_SIZE

  The cl_image_format struct size in bytes.

  See Also:
    Constant Field Values

Constructor Detail

### CLImageFormat

    public CLImageFormat(int channelOrder,
                         int channelType)

Method Detail

### getChannelOrder

    public int getChannelOrder()

### getChannelType

    public int getChannelType()

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.